DROP TABLE CRST_RA_CUST_TRX_TYPES_ALL;

CREATE TABLE CRST_RA_CUST_TRX_TYPES_ALL                                                                                                                           
(                                                                                                                                                            
  CUST_TRX_TYPE_ID               NUMBER(15)     NOT NULL,                                                                                                    
  LAST_UPDATE_DATE               DATE           NOT NULL,                                                                                                    
  LAST_UPDATED_BY                NUMBER(15)     NOT NULL,                                                                                                    
  CREATION_DATE                  DATE           NOT NULL,                                                                                                    
  CREATED_BY                     NUMBER(15)     NOT NULL,                                                                                                    
  LAST_UPDATE_LOGIN              NUMBER(15),                                                                                                                 
  POST_TO_GL                     VARCHAR2(1 BYTE) NOT NULL,                                                                                                  
  ACCOUNTING_AFFECT_FLAG         VARCHAR2(1 BYTE) NOT NULL,                                                                                                  
  CREDIT_MEMO_TYPE_ID            NUMBER(15),                                                                                                                 
  STATUS                         VARCHAR2(30 BYTE),                                                                                                          
  NAME                           VARCHAR2(20 BYTE),                                                                                                          
  DESCRIPTION                    VARCHAR2(80 BYTE),                                                                                                          
  TYPE                           VARCHAR2(20 BYTE),                                                                                                          
  DEFAULT_TERM                   NUMBER(15),                                                                                                                 
  DEFAULT_PRINTING_OPTION        VARCHAR2(20 BYTE) NOT NULL,                                                                                                 
  DEFAULT_STATUS                 VARCHAR2(20 BYTE) NOT NULL,                                                                                                 
  GL_ID_REV                      NUMBER(15),                                                                                                                 
  GL_ID_FREIGHT                  NUMBER(15),                                                                                                                 
  GL_ID_REC                      NUMBER(15),                                                                                                                 
  SUBSEQUENT_TRX_TYPE_ID         NUMBER(15),                                                                                                                 
  SET_OF_BOOKS_ID                NUMBER(15),                                                                                                                 
  ATTRIBUTE_CATEGORY             VARCHAR2(30 BYTE),                                                                                                          
  ATTRIBUTE1                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE2                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE3                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE4                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE5                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE6                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE7                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE8                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE9                     VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE10                    VARCHAR2(150 BYTE),                                                                                                         
  ALLOW_FREIGHT_FLAG             VARCHAR2(1 BYTE) NOT NULL,                                                                                                  
  ALLOW_OVERAPPLICATION_FLAG     VARCHAR2(1 BYTE) NOT NULL,                                                                                                  
  CREATION_SIGN                  VARCHAR2(30 BYTE) NOT NULL,                                                                                                 
  END_DATE                       DATE,                                                                                                                       
  GL_ID_CLEARING                 NUMBER(15),                                                                                                                 
  GL_ID_TAX                      NUMBER(15),                                                                                                                 
  GL_ID_UNBILLED                 NUMBER(15),                                                                                                                 
  GL_ID_UNEARNED                 NUMBER(15),                                                                                                                 
  START_DATE                     DATE           NOT NULL,                                                                                                    
  TAX_CALCULATION_FLAG           VARCHAR2(1 BYTE) NOT NULL,                                                                                                  
  ATTRIBUTE11                    VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE12                    VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE13                    VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE14                    VARCHAR2(150 BYTE),                                                                                                         
  ATTRIBUTE15                    VARCHAR2(150 BYTE),                                                                                                         
  NATURAL_APPLICATION_ONLY_FLAG  VARCHAR2(1 BYTE) NOT NULL,                                                                                                  
  ORG_ID                         NUMBER(15),     
  GLOBAL_ATTRIBUTE1              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE2              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE3              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE4              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE5              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE6              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE7              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE8              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE9              VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE10             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE11             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE12             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE13             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE14             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE15             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE16             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE17             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE18             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE19             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE20             VARCHAR2(150 BYTE),                                                                                                         
  GLOBAL_ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),                                                                                                          
  RULE_SET_ID                    NUMBER,                                                                                                                     
  SIGNED_FLAG                    VARCHAR2(1 BYTE),                                                                                                           
  DRAWEE_ISSUED_FLAG             VARCHAR2(1 BYTE),                                                                                                           
  MAGNETIC_FORMAT_CODE           VARCHAR2(30 BYTE),                                                                                                          
  FORMAT_PROGRAM_ID              NUMBER(15),                                                                                                                 
  GL_ID_UNPAID_REC               NUMBER(15),                                                                                                                 
  GL_ID_REMITTANCE               NUMBER(15),                                                                                                                 
  GL_ID_FACTOR                   NUMBER(15),                                                                                                                 
  ALLOCATE_TAX_FREIGHT           VARCHAR2(1 BYTE),
  CUST_TRX_TYPE_ID_N             NUMBER(15),
  ORG_ID_N                       NUMBER(15)                                                                                                            
);
